Subject: bug#28265: closed (Re: bug#28265: guix system build fails)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 29 Aug 2017 03:50:02 +0000

Your bug report

#28265: guix system build fails

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28265: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28265
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#28265: guix system build fails
From: Efraim Flashner <[email-masked]>
To: Christopher Baines <[email-masked]>
Cc: [email-masked]
Date: Tue, 29 Aug 2017 06:49:28 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, Aug 28, 2017 at 09:15:35PM +0100, Christopher Baines wrote:
> On Mon, 28 Aug 2017 21:52:32 +0300
> Efraim Flashner <[email-masked]> wrote:
> 
> > efraim@macbook42:~/workspace/guix$ time nice ./pre-inst-env guix
> > system build ~/lightweight-desktop.scm Backtrace:
> >           11 (primitive-load
> > "/home/efraim/workspace/guix/scripts/gu…") In guix/ui.scm:
> >   1331:12 10 (run-guix-command _ . _)
> > In ice-9/boot-9.scm:
> >     837:9  9 (catch _ _ #<procedure 7f4e83aea8c0 at guix/ui.scm:448…>
> > …) 837:9  8 (catch _ _ #<procedure 7f4e83aea8d8 at guix/ui.scm:536…>
> > …) In guix/scripts/system.scm:
> >    1022:8  7 (_)
> >     905:6  6 (process-action _ _ _)
> > In guix/store.scm:
> >   1441:24  5 (run-with-store _ _ #:guile-for-build _ #:system _)
> > In guix/scripts/system.scm:
> >     637:2  4 (_ _)
> > In gnu/system.scm:
> >     884:4  3 (_ _)
> > In gnu/bootloader/grub.scm:
> >    343:29  2 (grub-configuration-file #<<bootloader-configuration> …>
> > …) 207:30  1 (eye-candy #<<bootloader-configuration> bootloader: #<…>
> > …) 149:22  0 (grub-background-image #<<bootloader-configuration> bo…>
> > …)
> > 
> > gnu/bootloader/grub.scm:149:22: In procedure grub-background-image:
> > gnu/bootloader/grub.scm:149:22: In procedure struct_vtable: Wrong
> > type argument in position 1 (expecting struct): 5
> > 
> 
> I tried this, and got the same error, but then I deleted all the .go
> files, re-ran make, and then tried again, and then it worked.
> 

Ooops, so I should've run `make clean' first.

> → ./pre-inst-env guix system build gnu/system/examples/lightweight-desktop.tmpl 
> /gnu/store/hqjri2wz5sz32fabv7cr85zirnbsmvjs-system
> 
> I'm not quite sure what this means.... my understanding of Guile is a
> bit vague.

its returning the system that you just asked it to build.

I'm closing the bug, should've run `make clean' first.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: guix system build fails
From: Efraim Flashner <[email-masked]>
To: [email-masked]
Date: Mon, 28 Aug 2017 21:52:32 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

efraim@macbook42:~/workspace/guix$ time nice ./pre-inst-env guix system build ~/lightweight-desktop.scm
Backtrace:
          11 (primitive-load "/home/efraim/workspace/guix/scripts/gu…")
In guix/ui.scm:
  1331:12 10 (run-guix-command _ . _)
In ice-9/boot-9.scm:
    837:9  9 (catch _ _ #<procedure 7f4e83aea8c0 at guix/ui.scm:448…> …)
    837:9  8 (catch _ _ #<procedure 7f4e83aea8d8 at guix/ui.scm:536…> …)
In guix/scripts/system.scm:
   1022:8  7 (_)
    905:6  6 (process-action _ _ _)
In guix/store.scm:
  1441:24  5 (run-with-store _ _ #:guile-for-build _ #:system _)
In guix/scripts/system.scm:
    637:2  4 (_ _)
In gnu/system.scm:
    884:4  3 (_ _)
In gnu/bootloader/grub.scm:
   343:29  2 (grub-configuration-file #<<bootloader-configuration> …> …)
   207:30  1 (eye-candy #<<bootloader-configuration> bootloader: #<…> …)
   149:22  0 (grub-background-image #<<bootloader-configuration> bo…> …)

gnu/bootloader/grub.scm:149:22: In procedure grub-background-image:
gnu/bootloader/grub.scm:149:22: In procedure struct_vtable: Wrong type argument in position 1 (expecting struct): 5

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted